Subject: RE: [SIP] SIP->XML->SOAP

From: "Gardell, Steve" <[email-masked]>
Date: Mon, 3 Jul 2000 07:07:13 -0400

I have been on vacation, so appologies for the
belated response. After struggling to explain
"softswitches" to operations folks here, we 
settled on a very general definition that could
be taken to include MG's, SIP Proxy Servers,
H.323 routed GK's as well as the more switch-like
constructs being defined by the Multi-Media
Switching Forum. However, as near as we can tell, 
today "softswitch" is a marketing term most 
closely associated with the IETF MG.

What definition is implicit in the "value" commentary
here? 

Steven Gardell
GTE Laboratories
Voice: 781-466-2681, Fax: 781-466-3375

> -----Original Message-----
> From: Matt Holdrege [mailto:[email-masked]]
> Sent: Wednesday, June 21, 2000 4:32 PM
> To: Henry Sinnreich
> Cc: [email-masked]
> Subject: RE: [SIP] SIP->XML->SOAP
> 
> 
> At 07:09 AM 6/18/00 -0500, Henry Sinnreich wrote:
> > >> SIP->XML would converge the SIP methods and required
> > >parameters to XML and
> > >> allows the introduction of a DTD or schema to define
> > >the syntax of a valid
> > >> SIP message.
> >
> >Do not forget that endangering the deployment of SIP as is,
> >would set IP telephony back for a generation and leave the field
> >for "softswitches" and other such nonsense. Nobody on this
> >mailing list would then live to see true/open Internet
> >communications, but just the old circuit switch central control
> >model with its terrible signaling. Just using IP as a cheap
> >wire.
> 
> Henry,
> 
> This is the first time I recall seeing "softswitches" being 
> denigrated on 
> an IETF list. I would hope you realize that they are an 
> enabler to get the 
> circuit switched world to migrate to open communications? Saying that 
> Softswitches will preserve the circuit switched world with 
> it's "terrible 
> signalling" is a bit short-sighted.
> 
> You should also realize that SIP is doing quite well in the 
> area of market 
> acceptance. The more people buy into SIP the more evolution will be 
> required. Change is inevitable even though we must try to 
> manage it well. 
> XML is one such change that seems (to me) to be inevitable. 
> So it would be 
> better to try and manage the interactions with SIP and XML 
> here in the IETF 
> rather than elsewhere. Besides, it's part of the openess that 
> we all should 
> encourage.
> 
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip